#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;
    for (int i = 0; i < t; i++) {
        int n;
        cin >> n;
        vector <int> v(n);
        for (int i = 0; i < n; i++)
        cin >> v[i];
        sort(v.begin(), v.end());
        if (v[0] + v[n-1] >= v[1] + v[n-2])
        cout << "YES" << endl;
        else
        cout << "NO" << endl;
    }
}
